Subject: [bug#52283] [PATCH 00/10] Tuning packages for CPU micro-architectures

From: Ludovic Courtès <[email-masked]>
Date: Mon, 06 Dec 2021 17:48:39 +0100

Mathieu Othacehe <[email-masked]> skribis:

> However, when the user is passing a custom cpu name, it might be
> incorrect. I think we should check the user input against a list of
> valid/supported cpu architectures.

BTW, there’s another constraint: the list of valid names depends on the
compiler used.  GCC 11 recognizes ‘x86-64-v[1234]’ for instance, but
earlier versions do not.

We could hard-code the list of known identifiers for the default GCC,
but if users resort to ‘--with-c-toolchain’ to get a newer toolchain,
they won’t be able to use the newer CPU identifiers.

Maybe an acceptable drawback.

Ludo’.